Bug 861481 - volume sync fails
volume sync fails
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks: 867343
  Show dependency treegraph
 
Reported: 2012-09-28 15:19 EDT by Joe Julian
Modified: 2015-11-03 18:04 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 867343 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:32:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2012-09-28 15:19:02 EDT
Description of problem:
When calling "gluster volume sync all", it's always "unsuccessful". All glusterd's:
[2012-09-28 12:05:35.830791] I [glusterd-handler.c:497:glusterd_handle_cluster_lock] 0-glusterd: Received LOCK from uuid: fcac92e9-b7c5-440a-bac0-8fb6dfe4b899
[2012-09-28 12:05:35.830849] I [glusterd-utils.c:285:glusterd_lock] 0-glusterd: Cluster lock held by fcac92e9-b7c5-440a-bac0-8fb6dfe4b899
[2012-09-28 12:05:35.830886] I [glusterd-handler.c:1315:glusterd_op_lock_send_resp] 0-glusterd: Responded, ret: 0
[2012-09-28 12:05:35.831385] I [glusterd-handler.c:1359:glusterd_handle_cluster_unlock] 0-glusterd: Received UNLOCK from uuid: fcac92e9-b7c5-440a-bac0-8fb6dfe4b899
[2012-09-28 12:05:35.831432] I [glusterd-handler.c:1335:glusterd_op_unlock_send_resp] 0-glusterd: Responded to unlock, ret: 0

If I specify a server to sync from:
gluster volume sync all ewcs2
Volume ��� does not exist

ewcs2 does report the same log sequence.

Version-Release number of selected component (if applicable):
3.3.0

How reproducible:
always

Steps to Reproduce:
1. stop glusterd on a server
2. rm -rf /var/lib/glusterd/vols
3. start glusterd
4. gluster volume sync all
5. gluster volume sync $volname
6. gluster volume sync all $hostname
7. gluster volume sync $volname $hostname
  
Actual results:
None of them work

Expected results:
Any of them should work

Additional info:
Comment 1 Amar Tumballi 2012-11-29 05:12:59 EST
http://review.gluster.org/4188

Note You need to log in before you can comment on or make changes to this bug.